<?php
if ( isset( $_POST['oauth_settings'] ) ) {
	$oauth_message = f2api_update_oauth_settings();
}
$f2api_error = FALSE;
$message = "";

// notifications from oauth connection
if ( isset($_POST['oauth_settings'] ) ) {
	if ( $oauth_message == "success" ) {
		_e( '
		<div id="message" class="updated fade">
		<p>'.__('FourSquareAPI is now connected with foursquare&reg;.', 'FourSquareAPI').'</p>
		</div>
		' );
	}
	else if ( $oauth_message == "fail" ) {

	}
	else if ( $oauth_message == "cleared" ) {
		_e( '
		<div id="message" class="updated fade">
		<p>'.__('OAuth Authentication Data Cleared.', 'FourSquareAPI').'</p>
		</div>
		' );
	}
	else  if ( $oauth_message == 'nosync' ) {
		_e( '
		<div id="message" class="updated fade">
		<p>'.__('OAuth Authentication Failed. Your server time is not in sync with the foursquare&reg; servers. Talk to your hosting service to see what can be done.', 'FourSquareAPI').'</p>
		</div>
		' );
	}
	else {
		_e( '
		<div id="message" class="updated fade">
		<p>'.__('OAuth Authentication response not understood.', 'FourSquareAPI').'</p>
		</div>
		' );
	}
}
if ( isset( $_POST['options_checkins_page_update'] ) ) {
	update_option( 'f2api_page_checkins_icon', intval( $_POST['f2api_page_checkins_icon'] ) );
	update_option( 'f2api_page_checkins_mayor', intval( $_POST['f2api_page_checkins_mayor'] ) );
	update_option( 'f2api_page_checkins_timestamp', intval( $_POST['f2api_page_checkins_timestamp'] ) );
	update_option( 'f2api_page_checkins_count', intval( $_POST['f2api_page_checkins_count'] ) );
	update_option( 'f2api_page_checkins_map', intval( $_POST['f2api_page_checkins_map'] ) );
	update_option( 'f2api_page_checkins_map_zoom', intval( $_POST['f2api_page_checkins_map_zoom'] ) );
	update_option( 'f2api_page_checkins_link', intval( $_POST['f2api_page_checkins_link'] ) );
	update_option( 'f2api_page_checkins_map_width', (string)$_POST['f2api_page_checkins_map_width'] );
	update_option( 'f2api_page_checkins_map_height', (string)$_POST['f2api_page_checkins_map_height'] );
	update_option( 'f2api_page_checkins_stats', intval( $_POST['f2api_page_checkins_stats'] ) );
	update_option( 'f2api_page_checkins_cache_mins', intval( $_POST['f2api_page_checkins_cache_mins'] ) );
	$message = 'FourSquareAPI Checkins Page Options updated';
}
if ( isset( $_POST['options_badges_page_update'] ) ) {
		update_option( 'f2api_page_badges_cache_mins', intval( $_POST['f2api_page_badges_cache_mins'] ) );
		update_option( 'f2api_page_badges_map', intval( $_POST['f2api_page_badges_map'] ) );
		update_option( 'f2api_page_badges_map_height', (string)$_POST['f2api_page_badges_map_height'] );
		update_option( 'f2api_page_badges_map_width', (string)$_POST['f2api_page_badges_map_width'] );
		update_option( 'f2api_page_badges_map_zoom', intval( $_POST['f2api_page_badges_map_zoom'] ) );
		update_option( 'f2api_page_badges_icon', intval( $_POST['f2api_page_badges_icon'] ) );
		update_option( 'f2api_page_badges_icon_size', intval( $_POST['f2api_page_badges_icon_size'] ) );
		update_option( 'f2api_page_badges_description', intval( $_POST['f2api_page_badges_description'] ) );
		update_option( 'f2api_page_badges_venue', intval( $_POST['f2api_page_badges_venue'] ) );
		update_option( 'f2api_page_badges_timestamp', intval( $_POST['f2api_page_badges_timestamp'] ) );
		update_option( 'f2api_page_badges_stats', intval( $_POST['f2api_page_badges_stats'] ) );
		update_option( 'f2api_page_badges_link', intval( $_POST['f2api_page_badges_link'] ) );
	$message = 'FourSquareAPI Badges Page Options updated';
}
if ( isset( $_POST['options_css_update'] ) ) {
		update_option( 'f2api_css_widget_latest_checkins_byline', (string)$_POST['f2api_css_widget_latest_checkins_byline'] );
		update_option( 'f2api_css_widget_latest_checkins_map', (string)$_POST['f2api_css_widget_latest_checkins_map'] );
		update_option( 'f2api_css_widget_latest_checkins', (string)$_POST['f2api_css_widget_latest_checkins'] );
		update_option( 'f2api_css_widget_latest_checkins_icon', (string)$_POST['f2api_css_widget_latest_checkins_icon'] );
		update_option( 'f2api_css_widget_latest_checkins_venue', (string)$_POST['f2api_css_widget_latest_checkins_venue'] );
		update_option( 'f2api_css_widget_latest_checkins_stats', (string)$_POST['f2api_css_widget_latest_checkins_stats'] );
		update_option( 'f2api_css_widget_latest_checkins_timestamp', (string)$_POST['f2api_css_widget_latest_checkins_timestamp'] );
		update_option( 'f2api_css_widget_badges_byline', (string)$_POST['f2api_css_widget_badges_byline'] );
		update_option( 'f2api_css_widget_badges_map', (string)$_POST['f2api_css_widget_badges_map'] );
		update_option( 'f2api_css_widget_badges', (string)$_POST['f2api_css_widget_badges'] );
		update_option( 'f2api_css_widget_badges_icon', (string)$_POST['f2api_css_widget_badges_icon'] );
		update_option( 'f2api_css_widget_badges_venue', (string)$_POST['f2api_css_widget_badges_venue'] );
		update_option( 'f2api_css_widget_badges_stats', (string)$_POST['f2api_css_widget_badges_stats'] );
		update_option( 'f2api_css_widget_badges_timestamp', (string)$_POST['f2api_css_widget_badges_timestamp'] );
		update_option( 'f2api_css_widget_badges_description', (string)$_POST['f2api_css_widget_badges_description'] );
		update_option( 'f2api_css_page_checkins_map', (string)$_POST['f2api_css_page_checkins_map'] );
		update_option( 'f2api_css_page_checkins', (string)$_POST['f2api_css_page_checkins'] );
		update_option( 'f2api_css_page_checkins_icon', (string)$_POST['f2api_css_page_checkins_icon'] );
		update_option( 'f2api_css_page_checkins_venue', (string)$_POST['f2api_css_page_checkins_venue'] );
		update_option( 'f2api_css_page_checkins_stats', (string)$_POST['f2api_css_page_checkins_stats'] );
		update_option( 'f2api_css_page_checkins_timestamp', (string)$_POST['f2api_css_page_checkins_timestamp'] );
		update_option( 'f2api_css_page_badges_map', (string)$_POST['f2api_css_page_badges_map'] );
		update_option( 'f2api_css_page_badges', (string)$_POST['f2api_css_page_badges'] );
		update_option( 'f2api_css_page_badges_icon', (string)$_POST['f2api_css_page_badges_icon'] );
		update_option( 'f2api_css_page_badges_venue', (string)$_POST['f2api_css_page_badges_venue'] );
		update_option( 'f2api_css_page_badges_stats', (string)$_POST['f2api_css_page_badges_stats'] );
		update_option( 'f2api_css_page_badges_timestamp', (string)$_POST['f2api_css_page_badges_timestamp'] );
		update_option( 'f2api_css_page_badges_description', (string)$_POST['f2api_css_page_badges_description'] );
	$message = 'FourSquareAPI CSS Options updated';
}

?>

<div class="wrap" id="FourSquareAPI">
	<?php
	if ( $message ) {
		_e( '<div id="message" class="updated fade">' . $message . '</div>' );
	}
	?>
	<div id="dropmessage" class="updated" style="display:none;"></div>
	<h2><?php _e( 'FourSquareAPI Options', 'FourSquareAPI' ); ?></h2>
	<div class="f2api-settings" id="poststuff">
		<div class="postbox" style="width:25%; float:right;">
			<h3><?php _e( 'Like this plugin?', 'FourSquareAPI' ); ?></h3>
			<div class="inside">
				<p>Please consider one of the following ...
					<ul style="list-style: disc inside none;">
						<li>Enable the credit link in the widget</li>
						<li>Give it a rating on <a href="http://wordpress.org/extend/plugins/foursquareapi/" target="_blank">WordPress.org</a></li>
						<li>Donate for development
							<form action="https://www.paypal.com/cgi-bin/webscr" method="post" style="float:right;">
								<input type="hidden" name="cmd" value="_s-xclick">
								<input type="hidden" name="hosted_button_id" value="GYR6PYQPTNM8E">
								<input type="image" src="https://www.paypalobjects.com/en_AU/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="PayPal  The safer, easier way to pay online.">
								<img alt="" border="0" src="https://www.paypalobjects.com/en_AU/i/scr/pixel.gif" width="1" height="1">
							</form>
						</li>
					</ul>
				</p>
			</div>
		</div>

		<?php
		if ( function_exists( 'f2api_connect_oauth' ) ) {
			f2api_connect_oauth();
		}
		?>
		<div class="postbox" style="width:24%; float:left;">
			<h3>FourSquareAPI Checkins Page Options</h3>
			<div class="inside">
				<form action="" method="post">
					<div id="f2api_authentication_display">
						<fieldset class="options">
							<input type="hidden" name="options_checkins_page_update" value="true">
							<p>
								<label for="f2api_page_checkins_icon">Show Icons:</label>
								<input type="checkbox" name="f2api_page_checkins_icon" value="1" <?php if ( get_option( 'f2api_page_checkins_icon' ) ) _e( 'checked ' ); ?>/>
							</p>
							<p>
								<label for="f2api_page_checkins_mayor">Show Mayorships:</label>
								<input type="checkbox" name="f2api_page_checkins_mayor" value="1" <?php if ( get_option( 'f2api_page_checkins_mayor' ) ) _e( 'checked ' ); ?>/>
							</p>
							<p>
								<label for="f2api_page_checkins_timestamp">Show Timestamps:</label>
								<input type="checkbox" name="f2api_page_checkins_timestamp" value="1" <?php if ( get_option( 'f2api_page_checkins_timestamp' ) ) _e( 'checked ' ); ?>/>
							</p>
							<p>
								<label for="f2api_page_checkins_stats">Show Venue Stats:</label>
								<input type="checkbox" name="f2api_page_checkins_stats" value="1" <?php if ( get_option( 'f2api_page_checkins_stats' ) ) _e( 'checked ' ); ?>/>
							</p>
							<p>
								<label for="f2api_page_checkins_map">Show Map:</label>
								<input type="checkbox" name="f2api_page_checkins_map" value="1" <?php if ( get_option( 'f2api_page_checkins_map' ) ) _e( 'checked ' ); ?>/>
							</p>
							<p>
								<label for="f2api_page_checkins_map_zoom">Map Zoom: (try 16 to start with)</label>
								<input class="widefat" name="f2api_page_checkins_map_zoom" type="text" value="<?php _e( get_option( 'f2api_page_checkins_map_zoom' ) ); ?>" />
							</p>
							<p>
								<label for="f2api_page_checkins_map_width">Map Width: (include px or %)</label>
								<input class="widefat" name="f2api_page_checkins_map_width" type="text" value="<?php _e( get_option( 'f2api_page_checkins_map_width' ) ); ?>" />
							</p>
							<p>
								<label for="f2api_page_checkins_map_height">Map Height: (include px or %)</label>
								<input class="widefat" name="f2api_page_checkins_map_height" type="text" value="<?php _e( get_option( 'f2api_page_checkins_map_height' ) ); ?>" />
							</p>
							<p>
								<label for="f2api_page_checkins_count">Number of checkins to show:</label>
								<select name="f2api_page_checkins_count" id="f2api_page_checkins_count">
									<option value="0"<?php if ( get_option( 'f2api_page_checkins_count' ) == 0 ) _e( ' selected' ); ?>>Max</option>
									<option value="1"<?php if ( get_option( 'f2api_page_checkins_count' ) == 1 ) _e( ' selected' ); ?>>1</option>
									<option value="2"<?php if ( get_option( 'f2api_page_checkins_count' ) == 2 ) _e( ' selected' ); ?>>2</option>
									<option value="3"<?php if ( get_option( 'f2api_page_checkins_count' ) == 3 ) _e( ' selected' ); ?>>3</option>
									<option value="4"<?php if ( get_option( 'f2api_page_checkins_count' ) == 4 ) _e( ' selected' ); ?>>4</option>
									<option value="5"<?php if ( get_option( 'f2api_page_checkins_count' ) == 5 ) _e( ' selected' ); ?>>5</option>
									<option value="6"<?php if ( get_option( 'f2api_page_checkins_count' ) == 6 ) _e( ' selected' ); ?>>6</option>
									<option value="7"<?php if ( get_option( 'f2api_page_checkins_count' ) == 7 ) _e( ' selected' ); ?>>7</option>
									<option value="8"<?php if ( get_option( 'f2api_page_checkins_count' ) == 8 ) _e( ' selected' ); ?>>8</option>
									<option value="9"<?php if ( get_option( 'f2api_page_checkins_count' ) == 9 ) _e( ' selected' ); ?>>9</option>
									<option value="10"<?php if ( get_option( 'f2api_page_checkins_count' ) == 10 ) _e( ' selected' ); ?>>10</option>
									<option value="11"<?php if ( get_option( 'f2api_page_checkins_count' ) == 11 ) _e( ' selected' ); ?>>11</option>
									<option value="12"<?php if ( get_option( 'f2api_page_checkins_count' ) == 12 ) _e( ' selected' ); ?>>12</option>
									<option value="13"<?php if ( get_option( 'f2api_page_checkins_count' ) == 13 ) _e( ' selected' ); ?>>13</option>
									<option value="14"<?php if ( get_option( 'f2api_page_checkins_count' ) == 14 ) _e( ' selected' ); ?>>14</option>
									<option value="15"<?php if ( get_option( 'f2api_page_checkins_count' ) == 15 ) _e( ' selected' ); ?>>15</option>
									<option value="16"<?php if ( get_option( 'f2api_page_checkins_count' ) == 16 ) _e( ' selected' ); ?>>16</option>
									<option value="17"<?php if ( get_option( 'f2api_page_checkins_count' ) == 17 ) _e( ' selected' ); ?>>17</option>
									<option value="18"<?php if ( get_option( 'f2api_page_checkins_count' ) == 18 ) _e( ' selected' ); ?>>18</option>
								</select>
							</p>
							<p>
								<label for="f2api_page_checkins_cache_mins">Cache results:</label>
								<select name="f2api_page_checkins_cache_mins" id="f2api_page_checkins_cache_mins">
									<option value="0"<?php if ( get_option( 'f2api_page_checkins_cache_mins' ) == 0 ) _e( ' selected' ); ?>>never</option>
									<option value="1"<?php if ( get_option( 'f2api_page_checkins_cache_mins' ) == 1 ) _e( ' selected' ); ?>>for 1 minute</option>
									<option value="2"<?php if ( get_option( 'f2api_page_checkins_cache_mins' ) == 2 ) _e( ' selected' ); ?>>for 2 minutes</option>
									<option value="3"<?php if ( get_option( 'f2api_page_checkins_cache_mins' ) == 3 ) _e( ' selected' ); ?>>for 3 minutes</option>
									<option value="4"<?php if ( get_option( 'f2api_page_checkins_cache_mins' ) == 4 ) _e( ' selected' ); ?>>for 4 minutes</option>
									<option value="5"<?php if ( get_option( 'f2api_page_checkins_cache_mins' ) == 5 ) _e( ' selected' ); ?>>for 5 minutes</option>
									<option value="6"<?php if ( get_option( 'f2api_page_checkins_cache_mins' ) == 6 ) _e( ' selected' ); ?>>for 6 minutes</option>
									<option value="7"<?php if ( get_option( 'f2api_page_checkins_cache_mins' ) == 7 ) _e( ' selected' ); ?>>for 7 minutes</option>
									<option value="8"<?php if ( get_option( 'f2api_page_checkins_cache_mins' ) == 8 ) _e( ' selected' ); ?>>for 8 minutes</option>
									<option value="9"<?php if ( get_option( 'f2api_page_checkins_cache_mins' ) == 9 ) _e( ' selected' ); ?>>for 9 minutes</option>
									<option value="10"<?php if ( get_option( 'f2api_page_checkins_cache_mins' ) == 10 ) _e( ' selected' ); ?>>for 10 minutes</option>
									<option value="11"<?php if ( get_option( 'f2api_page_checkins_cache_mins' ) == 11 ) _e( ' selected' ); ?>>for 11 minutes</option>
									<option value="12"<?php if ( get_option( 'f2api_page_checkins_cache_mins' ) == 12 ) _e( ' selected' ); ?>>for 12 minutes</option>
									<option value="13"<?php if ( get_option( 'f2api_page_checkins_cache_mins' ) == 13 ) _e( ' selected' ); ?>>for 13 minutes</option>
									<option value="14"<?php if ( get_option( 'f2api_page_checkins_cache_mins' ) == 14 ) _e( ' selected' ); ?>>for 14 minutes</option>
									<option value="15"<?php if ( get_option( 'f2api_page_checkins_cache_mins' ) == 15 ) _e( ' selected' ); ?>>for 15 minutes</option>
								</select>
							</p>
							<p>
								<label for="f2api_page_checkins_link">Show Link to Plugin:</label>
								<input type="checkbox" name="f2api_page_checkins_show_link" value="1" <?php if ( get_option( 'f2api_page_checkins_show_link' ) ) _e( 'checked ' ); ?>/>
							</p>
						</fieldset>
						<p class="submit">
							<input type="submit" name="submit" class="button-primary" value="<?php _e('Update Checkins Page Settings', 'FourSquareAPI'); ?>" />
						</p>
					</div>
				</form>
				<p>These settings allow you to use <code>[f2api_checkins]</code> on any page or post.</p>

			</div>
		</div>
		<div class="postbox" style="width:24%; float:left; margin-left:10px;">
			<h3>FourSquareAPI Badges Page Options</h3>
			<div class="inside">
				<form action="" method="post">
					<div id="f2api_authentication_display">
						<fieldset class="options">
							<input type="hidden" name="options_badges_page_update" value="true">
							<p>
								<label for="f2api_page_badges_icon">Show Icons:</label>
								<input type="checkbox" name="f2api_page_badges_icon" value="1" <?php if ( get_option( 'f2api_page_badges_icon' ) ) _e( 'checked ' ); ?>/>
							</p>
							<p>
								<label for="f2api_page_badges_icon_size">Icon Size:</label>
								<select name="f2api_page_badges_icon_size" id="f2api_page_badges_icon_size">
									<option value="57"<?php if ( get_option( 'f2api_page_badges_icon_size' ) == 57 ) _e( ' selected' ); ?>>57px</option>
									<option value="114"<?php if ( get_option( 'f2api_page_badges_icon_size' ) == 114 ) _e( ' selected' ); ?>>114px</option>
									<option value="200"<?php if ( get_option( 'f2api_page_badges_icon_size' ) == 200 ) _e( ' selected' ); ?>>200px</option>
									<option value="300"<?php if ( get_option( 'f2api_page_badges_icon_size' ) == 300 ) _e( ' selected' ); ?>>300px</option>
									<option value="400"<?php if ( get_option( 'f2api_page_badges_icon_size' ) == 400 ) _e( ' selected' ); ?>>400px</option>
								</select>
							</p>
							<p>
								<label for="f2api_page_badges_description">Show Descriptions:</label>
								<input type="checkbox" name="f2api_page_badges_description" value="1" <?php if ( get_option( 'f2api_page_badges_description' ) ) _e( 'checked ' ); ?>/>
							</p>
							<p>
								<label for="f2api_page_badges_venue">Show Venues:</label>
								<input type="checkbox" name="f2api_page_badges_venue" value="1" <?php if ( get_option( 'f2api_page_badges_venue' ) ) _e( 'checked ' ); ?>/>
							</p>
							<p>
								<label for="f2api_page_badges_timestamp">Show Timestamp:</label>
								<input type="checkbox" name="f2api_page_badges_timestamp" value="1" <?php if ( get_option( 'f2api_page_badges_timestamp' ) ) _e( 'checked ' ); ?>/>
							</p>
							<p>
								<label for="f2api_page_badges_stats">Show Venue Stats:</label>
								<input type="checkbox" name="f2api_page_badges_stats" value="1" <?php if ( get_option( 'f2api_page_badges_stats' ) ) _e( 'checked ' ); ?>/>
							</p>
							<p>
								<label for="f2api_page_badges_map">Show Map:</label>
								<input type="checkbox" name="f2api_page_badges_map" value="1" <?php if ( get_option( 'f2api_page_badges_map' ) ) _e( 'checked ' ); ?>/>
							</p>
							<p>
								<label for="f2api_page_badges_map_zoom">Map Zoom: (try 16 to start with)</label>
								<input class="widefat" name="f2api_page_badges_map_zoom" type="text" value="<?php _e( get_option( 'f2api_page_badges_map_zoom' ) ); ?>" />
							</p>
							<p>
								<label for="f2api_page_badges_map_width">Map Width: (include px or %)</label>
								<input class="widefat" name="f2api_page_badges_map_width" type="text" value="<?php _e( get_option( 'f2api_page_badges_map_width' ) ); ?>" />
							</p>
							<p>
								<label for="f2api_page_badges_map_height">Map Height: (include px or %)</label>
								<input class="widefat" name="f2api_page_badges_map_height" type="text" value="<?php _e( get_option( 'f2api_page_badges_map_height' ) ); ?>" />
							</p>
							<p>
								<label for="f2api_page_badges_cache_mins">Cache results:</label>
								<select name="f2api_page_badges_cache_mins" id="f2api_page_badges_cache_mins">
									<option value="0"<?php if ( get_option( 'f2api_page_badges_cache_mins' ) == 0 ) _e( ' selected' ); ?>>never</option>
									<option value="1"<?php if ( get_option( 'f2api_page_badges_cache_mins' ) == 1 ) _e( ' selected' ); ?>>for 1 minute</option>
									<option value="2"<?php if ( get_option( 'f2api_page_badges_cache_mins' ) == 2 ) _e( ' selected' ); ?>>for 2 minutes</option>
									<option value="3"<?php if ( get_option( 'f2api_page_badges_cache_mins' ) == 3 ) _e( ' selected' ); ?>>for 3 minutes</option>
									<option value="4"<?php if ( get_option( 'f2api_page_badges_cache_mins' ) == 4 ) _e( ' selected' ); ?>>for 4 minutes</option>
									<option value="5"<?php if ( get_option( 'f2api_page_badges_cache_mins' ) == 5 ) _e( ' selected' ); ?>>for 5 minutes</option>
									<option value="6"<?php if ( get_option( 'f2api_page_badges_cache_mins' ) == 6 ) _e( ' selected' ); ?>>for 6 minutes</option>
									<option value="7"<?php if ( get_option( 'f2api_page_badges_cache_mins' ) == 7 ) _e( ' selected' ); ?>>for 7 minutes</option>
									<option value="8"<?php if ( get_option( 'f2api_page_badges_cache_mins' ) == 8 ) _e( ' selected' ); ?>>for 8 minutes</option>
									<option value="9"<?php if ( get_option( 'f2api_page_badges_cache_mins' ) == 9 ) _e( ' selected' ); ?>>for 9 minutes</option>
									<option value="10"<?php if ( get_option( 'f2api_page_badges_cache_mins' ) == 10 ) _e( ' selected' ); ?>>for 10 minutes</option>
									<option value="11"<?php if ( get_option( 'f2api_page_badges_cache_mins' ) == 11 ) _e( ' selected' ); ?>>for 11 minutes</option>
									<option value="12"<?php if ( get_option( 'f2api_page_badges_cache_mins' ) == 12 ) _e( ' selected' ); ?>>for 12 minutes</option>
									<option value="13"<?php if ( get_option( 'f2api_page_badges_cache_mins' ) == 13 ) _e( ' selected' ); ?>>for 13 minutes</option>
									<option value="14"<?php if ( get_option( 'f2api_page_badges_cache_mins' ) == 14 ) _e( ' selected' ); ?>>for 14 minutes</option>
									<option value="15"<?php if ( get_option( 'f2api_page_badges_cache_mins' ) == 15 ) _e( ' selected' ); ?>>for 15 minutes</option>
								</select>
							</p>
							<p>
								<label for="f2api_page_badges_link">Show Link to Plugin:</label>
								<input type="checkbox" name="f2api_page_badges_show_link" value="1" <?php if ( get_option( 'f2api_page_badges_show_link' ) ) _e( 'checked ' ); ?>/>
							</p>
						</fieldset>
						<p class="submit">
							<input type="submit" name="submit" class="button-primary" value="<?php _e('Update Badges Page Settings', 'FourSquareAPI'); ?>" />
						</p>
					</div>
				</form>
				<p>These settings allow you to use <code>[f2api_badges]</code> on any page or post.</p>
			</div>
		</div>
		<div class="postbox" style="width:24%; float:left; margin-left:10px;">
			<h3>FourSquareAPI CSS Options</h3>
			<div class="inside">
				<form action="" method="post">
					<div id="f2api_authentication_display">
						<fieldset class="options">
							<input type="hidden" name="options_css_update" value="true">
							<p>
								<label for="f2api_css_widget_latest_checkins_byline">Widget Latest Checkins Byline: <code>&lt;div&gt;</code></label>
								<input class="widefat" name="f2api_css_widget_latest_checkins_byline" type="text" value="<?php _e( get_option( 'f2api_css_widget_latest_checkins_byline' ) ); ?>" />
							</p>
							<p>
								<label for="f2api_css_widget_latest_checkins_map">Widget Latest Checkins Map: <code>&lt;div&gt;</code></label>
								<input class="widefat" name="f2api_css_widget_latest_checkins_map" type="text" value="<?php _e( get_option( 'f2api_css_widget_latest_checkins_map' ) ); ?>" />
							</p>
							<p>
								<label for="f2api_css_widget_latest_checkins">Widget Latest Checkins Wrapper: <code>&lt;ul&gt; or &lt;div&gt;</code></label>
								<input class="widefat" name="f2api_css_widget_latest_checkins" type="text" value="<?php _e( get_option( 'f2api_css_widget_latest_checkins' ) ); ?>" />
							</p>
							<p>
								<label for="f2api_css_widget_latest_checkins_icon">Widget Latest Checkins Icon: <code>&lt;div&gt; inside &lt;li&gt;</code></label>
								<input class="widefat" name="f2api_css_widget_latest_checkins_icon" type="text" value="<?php _e( get_option( 'f2api_css_widget_latest_checkins_icon' ) ); ?>" />
							</p>
							<p>
								<label for="f2api_css_widget_latest_checkins_venue">Widget Latest Checkins Venue: <code>&lt;div&gt; inside &lt;li&gt;</code></label>
								<input class="widefat" name="f2api_css_widget_latest_checkins_venue" type="text" value="<?php _e( get_option( 'f2api_css_widget_latest_checkins_venue' ) ); ?>" />
							</p>
							<p>
								<label for="f2api_css_widget_latest_checkins_stats">Widget Latest Checkins Venue Stats: <code>&lt;ul&gt; inside &lt;li&gt;</code></label>
								<input class="widefat" name="f2api_css_widget_latest_checkins_stats" type="text" value="<?php _e( get_option( 'f2api_css_widget_latest_checkins_stats' ) ); ?>" />
							</p>
							<p>
								<label for="f2api_css_widget_latest_checkins_timestamp">Widget Latest Checkins Timestamp: <code>&lt;span&gt;</code></label>
								<input class="widefat" name="f2api_css_widget_latest_checkins_timestamp" type="text" value="<?php _e( get_option( 'f2api_css_widget_latest_checkins_timestamp' ) ); ?>" />
							</p>
							<hr />
							<p>
								<label for="f2api_css_widget_badges_byline">Widget Badges Byline: <code>&lt;div&gt;</code></label>
								<input class="widefat" name="f2api_css_widget_badges_byline" type="text" value="<?php _e( get_option( 'f2api_css_widget_badges_byline' ) ); ?>" />
							</p>
							<p>
								<label for="f2api_css_widget_badges_map">Widget Badges Map: <code>&lt;div&gt;</code></label>
								<input class="widefat" name="f2api_css_widget_badges_map" type="text" value="<?php _e( get_option( 'f2api_css_widget_badges_map' ) ); ?>" />
							</p>
							<p>
								<label for="f2api_css_widget_badges">Widget Badges Wrapper: <code>&lt;ul&gt; or &lt;div&gt;</code></label>
								<input class="widefat" name="f2api_css_widget_badges" type="text" value="<?php _e( get_option( 'f2api_css_widget_badges' ) ); ?>" />
							</p>
							<p>
								<label for="f2api_css_widget_badges_icon">Widget Badges Icon: <code>&lt;div&gt; inside &lt;li&gt;</code></label>
								<input class="widefat" name="f2api_css_widget_badges_icon" type="text" value="<?php _e( get_option( 'f2api_css_widget_badges_icon' ) ); ?>" />
							</p>
							<p>
								<label for="f2api_css_widget_badges_venue">Widget Badges Venue: <code>&lt;div&gt; inside &lt;li&gt;</code></label>
								<input class="widefat" name="f2api_css_widget_badges_venue" type="text" value="<?php _e( get_option( 'f2api_css_widget_badges_venue' ) ); ?>" />
							</p>
							<p>
								<label for="f2api_css_widget_badges_stats">Widget Badges Venue Stats: <code>&lt;ul&gt; inside &lt;li&gt;</code></label>
								<input class="widefat" name="f2api_css_widget_badges_stats" type="text" value="<?php _e( get_option( 'f2api_css_widget_badges_stats' ) ); ?>" />
							</p>
							<p>
								<label for="f2api_css_widget_badges_timestamp">Widget Badges Timestamp: <code>&lt;span&gt;</code></label>
								<input class="widefat" name="f2api_css_widget_badges_timestamp" type="text" value="<?php _e( get_option( 'f2api_css_widget_badges_timestamp' ) ); ?>" />
							</p>
							<p>
								<label for="f2api_css_widget_badges_description">Widget Badges Description: <code>&lt;div&gt; inside &lt;li&gt;</code></label>
								<input class="widefat" name="f2api_css_widget_badges_description" type="text" value="<?php _e( get_option( 'f2api_css_widget_badges_description' ) ); ?>" />
							</p>
							<hr />
							<p>
								<label for="f2api_css_page_checkins_map">Page Checkins Map: <code>&lt;div&gt;</code></label>
								<input class="widefat" name="f2api_css_page_checkins_map" type="text" value="<?php _e( get_option( 'f2api_css_page_checkins_map' ) ); ?>" />
							</p>
							<p>
								<label for="f2api_css_page_checkins">Page Checkins Wrapper: <code>&lt;ul&gt;</code></label>
								<input class="widefat" name="f2api_css_page_checkins" type="text" value="<?php _e( get_option( 'f2api_css_page_checkins' ) ); ?>" />
							</p>
							<p>
								<label for="f2api_css_page_checkins_icon">Page Checkins Icon: <code>&lt;div&gt; inside &lt;li&gt;</code></label>
								<input class="widefat" name="f2api_css_page_checkins_icon" type="text" value="<?php _e( get_option( 'f2api_css_page_checkins_icon' ) ); ?>" />
							</p>
							<p>
								<label for="f2api_css_page_checkins_venue">Page Checkins Venue: <code>&lt;div&gt; inside &lt;li&gt;</code></label>
								<input class="widefat" name="f2api_css_page_checkins_venue" type="text" value="<?php _e( get_option( 'f2api_css_page_checkins_venue' ) ); ?>" />
							</p>
							<p>
								<label for="f2api_css_page_checkins_stats">Page Checkins Venue Stats: <code>&lt;ul&gt; inside &lt;li&gt;</code></label>
								<input class="widefat" name="f2api_css_page_checkins_stats" type="text" value="<?php _e( get_option( 'f2api_css_page_checkins_stats' ) ); ?>" />
							</p>
							<p>
								<label for="f2api_css_page_checkins_timestamp">Page Checkins Timestamp: <code>&lt;span&gt;</code></label>
								<input class="widefat" name="f2api_css_page_checkins_timestamp" type="text" value="<?php _e( get_option( 'f2api_css_page_checkins_timestamp' ) ); ?>" />
							</p>
							<hr />
							<p>
								<label for="f2api_css_page_badges_map">Page Badges Map: <code>&lt;div&gt;</code></label>
								<input class="widefat" name="f2api_css_page_badges_map" type="text" value="<?php _e( get_option( 'f2api_css_page_badges_map' ) ); ?>" />
							</p>
							<p>
								<label for="f2api_css_page_badges">Page Badges Wrapper: <code>&lt;ul&gt;</code></label>
								<input class="widefat" name="f2api_css_page_badges" type="text" value="<?php _e( get_option( 'f2api_css_page_badges' ) ); ?>" />
							</p>
							<p>
								<label for="f2api_css_page_badges_icon">Page Badges Icon: <code>&lt;div&gt; inside &lt;li&gt;</code></label>
								<input class="widefat" name="f2api_css_page_badges_icon" type="text" value="<?php _e( get_option( 'f2api_css_page_badges_icon' ) ); ?>" />
							</p>
							<p>
								<label for="f2api_css_page_badges_venue">Page Badges Venue: <code>&lt;div&gt; inside &lt;li&gt;</code></label>
								<input class="widefat" name="f2api_css_page_badges_venue" type="text" value="<?php _e( get_option( 'f2api_css_page_badges_venue' ) ); ?>" />
							</p>
							<p>
								<label for="f2api_css_page_badges_stats">Page Badges Venue Stats: <code>&lt;ul&gt; inside &lt;li&gt;</code></label>
								<input class="widefat" name="f2api_css_page_badges_stats" type="text" value="<?php _e( get_option( 'f2api_css_page_badges_stats' ) ); ?>" />
							</p>
							<p>
								<label for="f2api_css_page_badges_timestamp">Page Badges Timestamp: <code>&lt;span&gt;</code></label>
								<input class="widefat" name="f2api_css_page_badges_timestamp" type="text" value="<?php _e( get_option( 'f2api_css_page_badges_timestamp' ) ); ?>" />
							</p>
							<p>
								<label for="f2api_css_page_badges_description">Page Badges Description: <code>&lt;p&gt; inside &lt;li&gt;</code></label>
								<input class="widefat" name="f2api_css_page_badges_description" type="text" value="<?php _e( get_option( 'f2api_css_page_badges_description' ) ); ?>" />
							</p>
						</fieldset>
						<p class="submit">
							<input type="submit" name="submit" class="button-primary" value="<?php _e('Update CSS Settings', 'FourSquareAPI'); ?>" />
						</p>
					</div>
				</form>
			</div>
		</div>
	</div>
	<?php
	global $wp_version;
	?>